apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: apache-php
  name: apache-php
  namespace:
spec:
  replicas: 1
  selector:
    matchLabels:
      app: apache-php
  template:
    metadata:
      labels:
        app: apache-php
    spec:
      volumes:
      - name: apache-php-volume
        persistentVolumeClaim:
          claimName: apache-php-claim
      containers:
      - image: php:5.3-apache
        name: apache-php
        volumeMounts:
          - name: apache-php-volume
            mountPath: /var/lib/mysql